import SettingController from "./SettingController";
import { SettingLevel } from "../SettingLevel";
export default class SlidingSyncController extends SettingController {
    beforeChange(level: SettingLevel, roomId: string, newValue: any): Promise<boolean>;
    onChange(): Promise<void>;
    get settingDisabled(): boolean | string;
}
